Skip to main content

Create user

POST 
/scim/v2/Users

Creates an SCIM user with optional employer organization membership.

The request body must contain valid SCIM 2.0 user data. If you provide employer organization, the user is added to the specified organization with the specified roles.

Request

Body

required

    schemas string[]required
    id string

    Encrypted account ID (external format).

    externalId string

    External identifier for the user.

    userName string

    Unique username for the user.

    name

    object

    SCIM Name complex type

    formatted string

    Full name.

    familyName string

    Family name. Also known as last name.

    givenName string

    Given name. Also known as first name.

    middleName string

    Middle name.

    honorificPrefix string

    Honorific prefix, such as Mr. or Dr.

    honorificSuffix string

    Honorific suffix, such as Jr. or Sr.

    displayName string

    Display name for the user.

    emails

    object[]

  • Array [

  • value emailrequired

    Email address.

    type string

    Possible values: [work, home, other]

    Email type.

    primary boolean

    Indicates whether this email is the primary email.

  • ]

  • active boolean

    Indicates whether the user account is active.

    meta

    object

    SCIM Meta complex type

    resourceType string

    Resource type.

    created date-time

    Creation timestamp.

    lastModified date-time

    Last modification timestamp.

    location uri

    Resource location URL.

    version string

    Resource version/ETag.

    urn:ietf:params:scim:schemas:extension:indeed:2.0:EmployerOrg

    object

    Indeed-specific employer organization extension

    id string

    Employer organization ID.

    roles string[]

    Possible values: [admin]

    User roles within the employer organization:

    • admin: Organization administrator
    • Empty array or null: Basic member

Responses

User created successfully

Response Headers

  • Location

    string

    URL of the created user resource.

  • ETag

    string

    Entity tag for the created resource.

Schema

    schemas string[]required
    id string

    Encrypted account ID (external format).

    externalId string

    External identifier for the user.

    userName string

    Unique username for the user.

    name

    object

    SCIM Name complex type

    formatted string

    Full name.

    familyName string

    Family name. Also known as last name.

    givenName string

    Given name. Also known as first name.

    middleName string

    Middle name.

    honorificPrefix string

    Honorific prefix, such as Mr. or Dr.

    honorificSuffix string

    Honorific suffix, such as Jr. or Sr.

    displayName string

    Display name for the user.

    emails

    object[]

  • Array [

  • value emailrequired

    Email address.

    type string

    Possible values: [work, home, other]

    Email type.

    primary boolean

    Indicates whether this email is the primary email.

  • ]

  • active boolean

    Indicates whether the user account is active.

    meta

    object

    SCIM Meta complex type

    resourceType string

    Resource type.

    created date-time

    Creation timestamp.

    lastModified date-time

    Last modification timestamp.

    location uri

    Resource location URL.

    version string

    Resource version/ETag.

    urn:ietf:params:scim:schemas:extension:indeed:2.0:EmployerOrg

    object

    Indeed-specific employer organization extension

    id string

    Employer organization ID.

    roles string[]

    Possible values: [admin]

    User roles within the employer organization:

    • admin: Organization administrator
    • Empty array or null: Basic member
Loading...

Was this page helpful?